<?xml version="1.0"?>

<!--***********************************************************************--> 
<!-- XSLT version 0.1 of the stylesheet to accomplish the right inclusion  -->
<!-- of the content stylesheets:                                           -->
<!-- First draft: May 26 2000, Claudio Sacerdoti Coen, Irene Schena        -->
<!--***********************************************************************-->

<!-- Schema of stylesheet precedences (from highest to lowest):          -->
<!-- set -> basic -> annotatedcont                                       -->
<!-- because theory_content is imported and has lower precendence than   -->
<!-- the templates of rootcontent (i.e. the templates of set and basic). -->
<!-- annotatedcont -> objcontent -> content                              -->
<!-- because theory_content generates an import precedence tree.         --> 

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:import href="annotatedcont.xsl"/>
<xsl:key name="id" use="@id" match="LAMBDA|PROD|CAST|REL|SORT|APPLY|VAR|META|CONST|MUTIND|MUTCONSTRUCT|MUTCASE|FIX|COFIX|Definition|Axiom|CurrentProof|InductiveDefinition|Variable"/>
<xsl:include href="basic.xsl"/>
<xsl:include href="set.xsl"/>
<xsl:include href="reals.xsl"/>

<xsl:variable name="showproof" select="0"/>
</xsl:stylesheet>
