<?xml version="1.0"?>

<!--***********************************************************************--> 
<!-- XSLT version 0.1 of theory sections to HTML:                          -->
<!-- First draft: May 10 2000, Irene Schena                                -->
<!--              November 15 2000, Irene Schena                           -->
<!--***********************************************************************--> 

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:m="http://www.w3.org/1998/Math/MathML">

<xsl:import href="annotatedpres.xsl"/>

<xsl:template match="SECTION">
<xsl:param name="subsect" select="0"/>
    <xsl:choose>
    <xsl:when test="$subsect = 0">
     <html> 
      <head></head>
      <body>
       <m:math><m:mtext>BEGIN SECTION</m:mtext></m:math>
       <xsl:apply-templates select="*"><xsl:with-param name="subsect" select="1"/></xsl:apply-templates>
       <m:math><m:mtext>END SECTION</m:mtext></m:math>
      </body>
     </html>
    </xsl:when>
    <xsl:otherwise>
     <m:math><m:mtext>BEGIN SECTION</m:mtext></m:math>
      <xsl:apply-templates select="*"><xsl:with-param name="subsect" select="1"/></xsl:apply-templates>
     <m:math><m:mtext>END SECTION</m:mtext></m:math>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>

</xsl:stylesheet>
